---
title: SMS Delivery API
slug: us-apis/sms-delivery-api
description: Learn how to use our API to send text messages to specific phone numbers with guaranteed successful delivery. Our API checks for inappropriate or empty content, ensuring a seamless messaging experience. Discover sample cURL requests, parameter details, re
docTags: 
createdAt: 2023-10-13T11:47:49.011Z
---

# Introduction

This API serves as a simple messaging service that allows users to send text messages to a specified phone number with a custom message. Users provide two main parameters: the "phoneNumber" to which the message should be sent and the "text" content of the message.

Users can employ this API for sending text messages to individuals or groups, with built-in checks for empty or inappropriate content, ensuring that messages are sent successfully and maintain a level of appropriateness in the communication. It can be integrated into various applications and services that require text messaging functionality.

# API Details

### Sample cURL

:::CodeblockTabs
Production

```curl
curl --location 'https://api.signzy.us/api/v3/communication/sms-delivery' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Token>' \
--data '{
    "phoneNumber": "+1-93xxxxxxx2",
    "text": "Hey Sunny"
```

Pre-production

```curl
curl --location 'https://api-preproduction.signzy.us/api/v3/communication/sms-delivery' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Token>' \
--data '{
    "phoneNumber": "+1-93xxxxxxx2",
    "text": "Hey Sunny"
```
:::

### Request Body Parameter

| **Parameter Name** | **Data Type** | **Required** | **Description**                 |
| ------------------ | ------------- | ------------ | ------------------------------- |
| phoneNumber        | String        | Yes          | The recipient's phone number    |
| text               | String        | Yes          | The content of the text message |

### Sample Success Response

```curl
{
    "result": {
        "status": 200,
        "statusDescription": "Successfully sent"
    }
}
```

### Success Response Parameters

| Parameter Name           | Data Type | Description                                     |
| ------------------------ | --------- | ----------------------------------------------- |
| result                   | Object    | An object containing the API response           |
| result.status            | Integer   | Indicates the status (200)                      |
| result.statusDescription | String    | Description of the status ("Successfully sent") |

###

### Supported Countries

| **Country Name**                 | **Country Abbreviation** | **Supported Country Codes (Append + in starting)** | **Supported Mobile Number Length** |
| -------------------------------- | ------------------------ | -------------------------------------------------- | ---------------------------------- |
| Afghanistan                      | AF                       | 93                                                 | 9 to 10                            |
| Albania                          | AL                       | 355                                                | 8 to 9                             |
| Algeria                          | DZ                       | 213                                                | 9 to 10                            |
| American Samoa                   | AS                       | 1                                                  | 10                                 |
| Andorra                          | AD                       | 376                                                | 6 to 9                             |
| Angola                           | AO                       | 244                                                | 9 to 10                            |
| Anguilla                         | AI                       | 1                                                  | 10                                 |
| Antigua and Barbuda              | AG                       | 1                                                  | 10                                 |
| Argentina                        | AR                       | 54                                                 | 10                                 |
| Armenia                          | AM                       | 374                                                | 8 to 9                             |
| Aruba                            | AW                       | 297                                                | 7 to 8                             |
| Australia                        | AU                       | 61                                                 | 9 to 10                            |
| Austria                          | AT                       | 43                                                 | 9 to 13                            |
| Azerbaijan                       | AZ                       | 994                                                | 9 to 10                            |
| Bahamas                          | BS                       | 1                                                  | 10                                 |
| Bahrain                          | BH                       | 973                                                | 8 to 9                             |
| Bangladesh                       | BD                       | 880                                                | 10 to 11                           |
| Barbados                         | BB                       | 1                                                  | 10                                 |
| Belarus                          | BY                       | 375                                                | 9                                  |
| Belgium                          | BE                       | 32                                                 | 9 to 10                            |
| Belize                           | BZ                       | 501                                                | 7 to 8                             |
| Benin                            | BJ                       | 229                                                | 8 to 9                             |
| Bermuda                          | BM                       | 1                                                  | 10                                 |
| Bhutan                           | BT                       | 975                                                | 8 to 9                             |
| Bolivia                          | BO                       | 591                                                | 8 to 9                             |
| Bosnia and Herzegovina           | BA                       | 387                                                | 8 to 9                             |
| Botswana                         | BW                       | 267                                                | 8 to 9                             |
| Brazil                           | BR                       | 55                                                 | 10 to 11                           |
| British Virgin Islands           | VG                       | 1                                                  | 10                                 |
| Brunei Darussalam                | BN                       | 673                                                | 7 to 8                             |
| Bulgaria                         | BG                       | 359                                                | 8 to 9                             |
| Burkina Faso                     | BF                       | 226                                                | 8 to 9                             |
| Burundi                          | BI                       | 257                                                | 8                                  |
| Cabo Verde                       | CV                       | 238                                                | 7                                  |
| Cambodia                         | KH                       | 855                                                | 9 to 10                            |
| Cameroon                         | CM                       | 237                                                | 8 to 9                             |
| Canada                           | CA                       | 1                                                  | 10                                 |
| Caribbean Netherlands            | BQ                       | 599                                                | 7                                  |
| Cayman Islands                   | KY                       | 1                                                  | 10                                 |
| Central African Republic         | CF                       | 236                                                | 7                                  |
| Chad                             | TD                       | 235                                                | 7 to 8                             |
| Chile                            | CL                       | 56                                                 | 9 to 11                            |
| China                            | CN                       | 86                                                 | 11                                 |
| Cocos (Keeling) Islands          | CC                       | 61                                                 | 9 to 12                            |
| Colombia                         | CO                       | 57                                                 | 10 to 12                           |
| Comoros                          | KM                       | 269                                                | 7 to 8                             |
| Congo                            | CG                       | 242                                                | 9 to 10                            |
| Democratic Republic of Congo     | CD                       | 243                                                | 9 to 10                            |
| Cook Islands                     | CK                       | 682                                                | 5 to 7                             |
| Costa Rica                       | CR                       | 506                                                | 8 to 9                             |
| Côte d'Ivoire                    | CI                       | 225                                                | 8 to 10                            |
| Croatia                          | HR                       | 385                                                | 8 to 9                             |
| Cuba                             | CU                       | 53                                                 | 8 to 9                             |
| Cyprus                           | CY                       | 357                                                | 8 to 9                             |
| Czech Republic                   | CZ                       | 420                                                | 9 to 12                            |
| Denmark                          | DK                       | 45                                                 | 8 to 12                            |
| Djibouti                         | DJ                       | 253                                                | 7 to 8                             |
| Dominica                         | DM                       | 1                                                  | 10                                 |
| Dominican Republic               | DO                       | 1                                                  | 10                                 |
| Ecuador                          | EC                       | 593                                                | 9                                  |
| Egypt                            | EG                       | 20                                                 | 10                                 |
| El Salvador                      | SV                       | 503                                                | 8 to 9                             |
| Equatorial Guinea                | GQ                       | 240                                                | 9 to 10                            |
| Eritrea                          | ER                       | 291                                                | 7                                  |
| Estonia                          | EE                       | 372                                                | 7 to 8                             |
| Eswatini (Swaziland)             | SZ                       | 268                                                | 7 to 8                             |
| Ethiopia                         | ET                       | 251                                                | 9 to 10                            |
| Falkland Islands (Malvinas)      | FK                       | 500                                                | 5 to 6                             |
| Faroe Islands                    | FO                       | 298                                                | 6                                  |
| Fiji                             | FJ                       | 679                                                | 5 to 7                             |
| Finland                          | FI                       | 358                                                | 9 to 12                            |
| France                           | FR                       | 33                                                 | 9 to 12                            |
| French Guiana                    | GF                       | 594                                                | 9                                  |
| French Polynesia                 | PF                       | 689                                                | 6 to 8                             |
| Gabon                            | GA                       | 241                                                | 7 to 9                             |
| Gambia                           | GM                       | 220                                                | 7                                  |
| Georgia                          | GE                       | 995                                                | 9 to 10                            |
| Germany                          | DE                       | 49                                                 | 10 to 12                           |
| Ghana                            | GH                       | 233                                                | 9 to 10                            |
| Gibraltar                        | GI                       | 350                                                | 8 to 9                             |
| Greece                           | GR                       | 30                                                 | 9 to 10                            |
| Greenland                        | GL                       | 299                                                | 6 to 8                             |
| Grenada                          | GD                       | 1                                                  | 10                                 |
| Guadeloupe                       | GP                       | 590                                                | 9                                  |
| Guam                             | GU                       | 1                                                  | 10                                 |
| Guatemala                        | GT                       | 502                                                | 8 to 9                             |
| Guernsey                         | GG                       | 44                                                 | 10 to 12                           |
| Guinea                           | GN                       | 224                                                | 8 to 9                             |
| Guinea-Bissau                    | GW                       | 245                                                | 7                                  |
| Guyana                           | GY                       | 592                                                | 7 to 8                             |
| Haiti                            | HT                       | 509                                                | 8 to 9                             |
| Holy See (Vatican City)          | VA                       | 379                                                | 10 to 11                           |
| Honduras                         | HN                       | 504                                                | 8 to 9                             |
| Hong Kong                        | HK                       | 852                                                | 8 to 9                             |
| Hungary                          | HU                       | 36                                                 | 9 to 11                            |
| Iceland                          | IS                       | 354                                                | 7 to 9                             |
| India                            | IN                       | 91                                                 | 10 to 12                           |
| Indonesia                        | ID                       | 62                                                 | 9 to 12                            |
| Iran                             | IR                       | 98                                                 | 10 to 11                           |
| Iraq                             | IQ                       | 964                                                | 10 to 11                           |
| Ireland                          | IE                       | 353                                                | 9 to 10                            |
| Isle of Man                      | IM                       | 44                                                 | 10 to 12                           |
| Israel                           | IL                       | 972                                                | 9 to 10                            |
| Italy                            | IT                       | 39                                                 | 9 to 11                            |
| Ivory Coast (Côte d'Ivoire)      | CI                       | 225                                                | 8 to 9                             |
| Jamaica                          | JM                       | 1                                                  | 10                                 |
| Japan                            | JP                       | 81                                                 | 10 to 11                           |
| Jersey                           | JE                       | 44                                                 | 10 to 12                           |
| Jordan                           | JO                       | 962                                                | 9 to 10                            |
| Kazakhstan                       | KZ                       | 7                                                  | 10                                 |
| Kenya                            | KE                       | 254                                                | 9 to 12                            |
| Kiribati                         | KI                       | 686                                                | 5                                  |
| Korea (South)                    | KR                       | 82                                                 | 9 to 11                            |
| Kosovo                           | XK                       | 383                                                | 8 to 10                            |
| Kuwait                           | KW                       | 965                                                | 8 to 9                             |
| Laos                             | LA                       | 856                                                | 8 to 10                            |
| Latvia                           | LV                       | 371                                                | 8                                  |
| Lebanon                          | LB                       | 961                                                | 7 to 8                             |
| Lesotho                          | LS                       | 266                                                | 8                                  |
| Liberia                          | LR                       | 231                                                | 7 to 8                             |
| Libya                            | LY                       | 218                                                | 9 to 10                            |
| Liechtenstein                    | LI                       | 423                                                | 8 to 9                             |
| Lithuania                        | LT                       | 370                                                | 8 to 12                            |
| Luxembourg                       | LU                       | 352                                                | 9                                  |
| Macao                            | MO                       | 853                                                | 8 to 9                             |
| Madagascar                       | MG                       | 261                                                | 9 to 10                            |
| Malawi                           | MW                       | 265                                                | 9 to 10                            |
| Malaysia                         | MY                       | 60                                                 | 9 to 10                            |
| Maldives                         | MV                       | 960                                                | 7 to 8                             |
| Mali                             | ML                       | 223                                                | 8 to 9                             |
| Malta                            | MT                       | 356                                                | 8 to 9                             |
| Marshall Islands                 | MH                       | 692                                                | 7                                  |
| Martinique                       | MQ                       | 596                                                | 9                                  |
| Mauritania                       | MR                       | 222                                                | 8 to 9                             |
| Mauritius                        | MU                       | 230                                                | 7 to 8                             |
| Mayotte                          | YT                       | 262                                                | 9                                  |
| Mexico                           | MX                       | 52                                                 | 10 to 12                           |
| Micronesia, Federated States of  | FM                       | 691                                                | 7                                  |
| Moldova, Republic of             | MD                       | 373                                                | 8 to 10                            |
| Monaco                           | MC                       | 377                                                | 8 to 9                             |
| Mongolia                         | MN                       | 976                                                | 8 to 9                             |
| Montenegro                       | ME                       | 382                                                | 9                                  |
| Montserrat                       | MS                       | 1                                                  | 10                                 |
| Morocco                          | MA                       | 212                                                | 9 to 10                            |
| Mozambique                       | MZ                       | 258                                                | 9 to 10                            |
| Myanmar (Burma)                  | MM                       | 95                                                 | 9 to 10                            |
| Namibia                          | NA                       | 264                                                | 9                                  |
| Nauru                            | NR                       | 674                                                | 7 to 8                             |
| Nepal                            | NP                       | 977                                                | 10 to 11                           |
| Netherlands                      | NL                       | 31                                                 | 9 to 10                            |
| New Caledonia                    | NC                       | 687                                                | 6                                  |
| New Zealand                      | NZ                       | 64                                                 | 9 to 11                            |
| Nicaragua                        | NI                       | 505                                                | 8 to 9                             |
| Niger                            | NE                       | 227                                                | 8 to 9                             |
| Nigeria                          | NG                       | 234                                                | 10                                 |
| Niue                             | NU                       | 683                                                | 4                                  |
| Norfolk Island                   | NF                       | 6723                                               | 6                                  |
| North Macedonia                  | MK                       | 389                                                | 8 to 9                             |
| Northern Mariana Islands         | MP                       | 1                                                  | 10                                 |
| Norway                           | NO                       | 47                                                 | 8 to 12                            |
| Oman                             | OM                       | 968                                                | 8 to 9                             |
| Pakistan                         | PK                       | 92                                                 | 10                                 |
| Palau                            | PW                       | 680                                                | 7 to 8                             |
| Palestine                        | PS                       | 970                                                | 9                                  |
| Panama                           | PA                       | 507                                                | 8 to 9                             |
| Papua New Guinea                 | PG                       | 675                                                | 9 to 11                            |
| Paraguay                         | PY                       | 595                                                | 9 to 10                            |
| Peru                             | PE                       | 51                                                 | 9 to 11                            |
| Philippines                      | PH                       | 63                                                 | 10 to 12                           |
| Pitcairn                         | PN                       | 872                                                | 4 to 5                             |
| Poland                           | PL                       | 48                                                 | 9 to 11                            |
| Portugal                         | PT                       | 351                                                | 9                                  |
| Puerto Rico                      | PR                       | 1                                                  | 10                                 |
| Qatar                            | QA                       | 974                                                | 8 to 9                             |
| Republic of Serbia               | RS                       | 381                                                | 8-12                               |
| Réunion                          | RE                       | 262                                                | 9                                  |
| Romania                          | RO                       | 40                                                 | 9 to 10                            |
| Russian Federation               | RU                       | 7                                                  | 10 to 11                           |
| Rwanda                           | RW                       | 250                                                | 9 to 10                            |
| Saint Barthélemy                 | BL                       | 590                                                | 9                                  |
| Saint Kitts and Nevis            | KN                       | 1                                                  | 10                                 |
| Saint Lucia                      | LC                       | 1                                                  | 10                                 |
| Saint Martin (French part)       | MF                       | 590                                                | 9                                  |
| Saint Pierre and Miquelon        | PM                       | 508                                                | 6                                  |
| Saint Vincent and the Grenadines | VC                       | 1                                                  | 10                                 |
| Samoa                            | WS                       | 685                                                | 5                                  |
| San Marino                       | SM                       | 378                                                | 9                                  |
| Sao Tome and Principe            | ST                       | 239                                                | 7                                  |
| Saudi Arabia                     | SA                       | 966                                                | 9 to 10                            |
| Senegal                          | SN                       | 221                                                | 9 to 10                            |
| Serbia                           | RS                       | 381                                                | 8 to 10                            |
| Seychelles                       | SC                       | 248                                                | 7                                  |
| Sierra Leone                     | SL                       | 232                                                | 8 to 9                             |
| Singapore                        | SG                       | 65                                                 | 8 to 12                            |
| Sint Maarten (Dutch part)        | SX                       | 1                                                  | 10                                 |
| Slovakia                         | SK                       | 421                                                | 9 to 12                            |
| Slovenia                         | SI                       | 386                                                | 8 to 9                             |
| Solomon Islands                  | SB                       | 677                                                | 5 to 7                             |
| Somalia                          | SO                       | 252                                                | 8 to 11                            |
| South Africa                     | ZA                       | 27                                                 | 9                                  |
| South Sudan                      | SS                       | 211                                                | 9                                  |
| Spain                            | ES                       | 34                                                 | 9 to 12                            |
| Sri Lanka                        | LK                       | 94                                                 | 9 to 10                            |
| St. Vincent & Grenadines         | VC                       | -783                                               | 7                                  |
| Sudan                            | SD                       | 249                                                | 9 to 10                            |
| Suriname                         | SR                       | 597                                                | 7 to 8                             |
| Svalbard and Jan Mayen           | SJ                       | 47                                                 | 8                                  |
| Sweden                           | SE                       | 46                                                 | 7 to 10                            |
| Switzerland                      | CH                       | 41                                                 | 9 to 12                            |
| Syria                            | SY                       | 963                                                | 9 to 10                            |
| Taiwan                           | TW                       | 886                                                | 9 to 10                            |
| Tajikistan                       | TJ                       | 992                                                | 9                                  |
| Tanzania, United Republic of     | TZ                       | 255                                                | 9 to 10                            |
| Thailand                         | TH                       | 66                                                 | 9 to 10                            |
| Timor-Leste                      | TL                       | 670                                                | 7 to 8                             |
| Togo                             | TG                       | 228                                                | 8 to 9                             |
| Tokelau                          | TK                       | 690                                                | 4                                  |
| Tonga                            | TO                       | 676                                                | 5                                  |
| Trinidad and Tobago              | TT                       | 1                                                  | 10                                 |
| Tunisia                          | TN                       | 216                                                | 8 to 9                             |
| Turkey                           | TR                       | 90                                                 | 10                                 |
| Turkmenistan                     | TM                       | 993                                                | 8                                  |
| Turks and Caicos Islands         | TC                       | 1                                                  | 10                                 |
| Tuvalu                           | TV                       | 688                                                | 5                                  |
| Uganda                           | UG                       | 256                                                | 9 to 10                            |
| Ukraine                          | UA                       | 380                                                | 9 to 12                            |
| United Arab Emirates             | AE                       | 971                                                | 9                                  |
| United Kingdom                   | GB                       | 44                                                 | 10 to 12                           |
| United States                    | US                       | 1                                                  | 10                                 |
| Uruguay                          | UY                       | 598                                                | 8 to 9                             |
| Uzbekistan                       | UZ                       | 998                                                | 9                                  |
| Vanuatu                          | VU                       | 678                                                | 5 to 7                             |
| Venezuela                        | VE                       | 58                                                 | 10                                 |
| Vietnam                          | VN                       | 84                                                 | 9 to 11                            |
| Virgin Islands (British)         | VG                       | 1                                                  | 10                                 |
| Virgin Islands (U.S.)            | VI                       | 1                                                  | 10                                 |
| Wallis and Futuna                | WF                       | 681                                                | 6                                  |
| Western Sahara                   | EH                       | 212                                                | 9                                  |
| Yemen                            | YE                       | 967                                                | 9 to 10                            |
| Zambia                           | ZM                       | 260                                                | 9 to 10                            |
| Zimbabwe                         | ZW                       | 263                                                | 9 to 10                            |

### Sample Error

:::CodeblockTabs
Invalid Mobile Number(400)

```json
{
    "error": {
        "name": "error",
        "message": "MOBILE NUMBER IS NOT VALID/ALLOWED",
        "status": 400,
        "reason": "ERROR",
        "type": "Bad Request",
        "statusCode": 400
    }
}
```

Profanity Error(400)

```json
{
 "error": {
 "name": "error",
 "message": "PROFANITY FOUND IN TEXT",
 "status": 400,
 "reason": "ERROR",
 "type": "Bad Request",
 "statusCode": "400"
 }
}
```

Empty Text(400)

```json
{
    "error": {
        "name": "error",
        "message": "\"text\" is not allowed to be empty",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}
```

Blocked Phone Number(404)

```json
{
    "error": {
        "name": "error",
        "message": "Blocked Phone Number",
        "status": 404,
        "reason": "ERROR",
        "type": "Not Found",
        "statusCode": 200
    }
}
```

Upstream Down(409)

```json
{
    "error": {
        "name": "error",
        "message": "Upstream Down",
        "status": 409,
        "reason": "ERROR",
        "type": "Conflict",
        "statusCode": 409
    }
}
```

Unprocessable Entity(422)

```json
{
    "error": {
        "name": "error",
        "message": "Unprocessable Entity",
        "status": 422,
        "reason": "ERROR",
        "type": "Unprocessable Entity",
        "statusCode": 422
    }
}
```

Unauthorized(401)

```json
{
    "message": "No API key found in request"
}
```
:::

### Error Response Parameters

| **Parameter Name** | **Data Type** | **Description**                                                                                                                                                   |
| ------------------ | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| error              | Object        | An object containing details about the error.                                                                                                                     |
| error.name         | String        | The name of the error.                                                                                                                                            |
| error.message      | String        | A descriptive error message.                                                                                                                                      |
| error.status       | Number        | The HTTP status code of the client request.                                                                                                                       |
| error.reason       | String        | The reason for the error.                                                                                                                                         |
| error.type         | String        | The type of error ("Bad Request").                                                                                                                                |
| error.statusCode   | Number        | The specific status code returned by the server in response to the request, indicating whether the server was able to process the request and provide a response. |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::

